> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contract annexes

> Returns a paginated list of annexes for a specific contract. Annexes represent modifications to the original contract terms.



## OpenAPI

````yaml GET /contract/v1/contracts/{contractId}/annexes
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{contractId}/annexes:
    get:
      tags:
        - Contract Annexes
      summary: List contract annexes
      description: >-
        Returns a paginated list of annexes for a specific contract. Annexes
        represent modifications to the original contract terms.
      operationId: ListContractAnnexes
      parameters:
        - name: contractId
          in: path
          required: true
          description: The ID of the contract
          schema:
            type: string
            format: uuid
        - name: startAt
          in: query
          description: Filter annexes with start date greater than or equal to this value
          schema:
            type: string
            format: date
        - name: endAt
          in: query
          description: Filter annexes with end date less than or equal to this value
          schema:
            type: string
            format: date
        - name: createdAt
          in: query
          description: Filter by creation date
          schema:
            type: string
            format: date
        - name: updatedAt
          in: query
          description: Filter by last update date
          schema:
            type: string
            format: date
        - name: holidays
          in: query
          description: Filter by number of holidays
          schema:
            type: integer
        - name: jobCharge.name[contains]
          in: query
          description: Filter by job charge name (partial match)
          schema:
            type: string
        - name: workdayType.name
          in: query
          description: Filter by workday type name
          schema:
            type: string
        - name: contractType.name
          in: query
          description: Filter by contract type name
          schema:
            type: string
        - name: orderBy
          in: query
          description: Field to order results by. Defaults to 'endAt desc'
          schema:
            type: string
            enum:
              - startAt
              - startAt asc
              - startAt desc
              - endAt
              - endAt asc
              - endAt desc
        - name: limit
          in: query
          description: Maximum number of results to return
          schema:
            type: integer
            default: 20
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: List of contract annexes retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: The unique identifier of the annex
                        startAt:
                          type: string
                          format: date
                          description: Start date of the annex
                        endAt:
                          type: string
                          format: date
                          description: End date of the annex
                        expiredAt:
                          type: string
                          format: date
                          description: Expiration date of the annex
                        holidays:
                          type: integer
                          description: Number of holidays
                        comment:
                          type: string
                          description: Comments about the annex
                        code:
                          type: string
                          description: Code of the annex
                        socialSecurityNumber:
                          type: string
                          description: The social security number
                        cbo:
                          type: string
                          description: Brazilian occupation code (CBO)
                        remoteWork:
                          type: boolean
                          description: Whether remote work is allowed
                        seniorityDate:
                          type: string
                          format: date
                          description: Seniority date
                        jobPositionDescription:
                          type: string
                          description: The job position description
                        weeklyHours:
                          type: number
                          format: float
                          description: Weekly working hours
                        maxLegalWeeklyHours:
                          type: number
                          format: float
                          description: Max legal weekly working hours
                        maxLegalAnnualHours:
                          type: number
                          format: float
                          description: Max legal annual working hours
                        percentageWorkDay:
                          type: number
                          format: float
                          description: Percentage of workday
                        fte:
                          type: number
                          format: float
                          description: Full-time equivalent value
                        details:
                          type: string
                          description: Additional details about the annex
                        trialEndDate:
                          type: string
                          format: date
                          description: End date of the trial period
                        trialPeriod:
                          type: object
                          properties:
                            trialPeriodType:
                              type: string
                              example: months
                            quantity:
                              type: number
                              example: '6'
                        workDays:
                          type: array
                          items:
                            type: object
                            properties:
                              day:
                                type: string
                                description: Day of the week
                                enum:
                                  - monday
                                  - tuesday
                                  - wednesday
                                  - thursday
                                  - friday
                                  - saturday
                                  - sunday
                              hour:
                                type: number
                                format: float
                                description: Total hour to work in the day
                            required:
                              - day
                              - hour
                          description: Working days configuration
                        jobCharge:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                        workdayType:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            editable:
                              type: boolean
                        contractType:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                        degree:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            editable:
                              type: boolean
                        agreement:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                        jobLevel:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````